## qtscriptgenerator 0.1.0+git20101026+8b191fbc

=== debian/changelog ===
qtscriptgenerator (0.1.0+git20101026+8b191fbc-2) unstable; urgency=low

  * debian_simple_top_makefile.diff: make generated_cpp depend on typesystem
    xml files.
  * Add upstream_arm_fix_ftbfs.diff patch to fix FTBFS on arm* architectures.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Apr 2011 16:39:27 +0300

qtscriptgenerator (0.1.0+git20101026+8b191fbc-1) unstable; urgency=low

  * New upstream development snapshot to support Qt 4.7.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Switch my e-mail address to @debian.org one.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0). Also steal
    debian_webkit_phonon_include.diff from kubuntu to enable building with Qt
    4.7. Fixes FTBFS. (Closes: #618172)
  * Drop topgit support.
  * Move patches out of subdirectories.
  * Switch source package to 3.0 (quilt).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop upstream_gcc4.4_ftbfs_fix.diff, merged upstream.
  * Adapt debian_drop_extra_linkage_fix.diff to upstream changes.
  * Add patch upstream_support_later_phonon.diff which fixes building against
    system Phonon 4.5.0.
  * Reimplement top Makefile in the parallel-safe manner (patch
    debian_simple_top_makefile.diff) and pass --parallel to dh.
  * Add doc-base control file for libqtscript4-doc.

 -- Modestas Vainius <modax@debian.org>  Sat, 23 Apr 2011 22:32:16 +0300

qtscriptgenerator (0.1.0-3) unstable; urgency=low

  * Fix noopt check.
  * Export QMAKE_TARGET.
  * Use dh_makeshlibs --remaining-packages instead of the previous hack,
    hence depend on debhelper 7.2.7.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * New patches:
    - general/memory_alignment_fix.diff - some unaligned memory fixes. It 
      should fix FTBFS on armel/sparc (Closes: #525980).
    - general/gcc4.4_ftbfs_fix.diff - fixes FTBFS with gcc 4.4
      (Closes: #526167).
    - debian/drop_extra_linkage_fix - do not link with unnecessary libraries.
  * Use new quilt dh sequence module, build depend on quilt (>= 0.46-7~).
  * Backports friendly debhelper build dependency versioning.
  * Update debian/README.source: build branch merged into master.
  * Improve simple_top_makefile patch:
    - build process depends on existance of plugins;
    - update timestamps whenever possible to avoid unnecessary rebuilds.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 09 May 2009 18:22:41 +0300

qtscriptgenerator (0.1.0-2) unstable; urgency=low

  * Reenable libqtscript4-phonon, build depend on Qt 4.5.
  * Add notice about Qt 4.5 copyright to debian/copyright.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 25 Apr 2009 16:16:02 +0300

qtscriptgenerator (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #518601).
  * libqtscript4-phonon is empty on purpose until the package is built
    against Qt 4.5 which is going to be soon.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 07 Mar 2009 14:19:20 +0200
