=== debian/control ===
Source: qtscriptgenerator
Section: libs
Priority: optional
Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.2.7~), qt4-qmake (>= 4.5),
 libqt4-dev (>= 4.5), libqt4-opengl-dev (>= 4.5), libphonon-dev (>= 4:4.3.0),
 libqtwebkit-dev | libqt4-dev (<< 4:4.7.0)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/qtscriptgenerator/
Vcs-Git: git://git.debian.org/users/modax/qtscriptgenerator.git
Vcs-Browser: http://git.debian.org/?p=users/modax/qtscriptgenerator.git;a=summary

Package: libqtscript4-qtbindings
Architecture: all
Depends: libqtscript4-core (>= ${source:Version}), libqtscript4-gui (>= ${source:Version}),
 libqtscript4-network (>= ${source:Version}), libqtscript4-opengl (>= ${source:Version}),
 libqtscript4-phonon (>= ${source:Version}), libqtscript4-sql (>= ${source:Version}),
 libqtscript4-svg (>= ${source:Version}), libqtscript4-xml (>= ${source:Version}), 
 libqtscript4-xmlpatterns (>= ${source:Version}), libqtscript4-webkit (>= ${source:Version}),
 libqtscript4-uitools (>= ${source:Version}), ${misc:Depends}
Description: Qt Script bindings for Qt 4 - metapackage
 This metapackage depends on all modules of the Qt Script bindings that are
 currently provided for Qt 4 application and UI framework.
 .
 Qt Script is a scripting language based on the ECMAScript standard. Qt Script
 bindings allow to get access to substantial portions of the Qt API from within
 this scripting language.

Package: libqtscript4-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Script bindings for the Qt 4 Core library
 This package contains Qt Script bindings for the Qt 4 Core library. You should
 install this package if you need to access functionality of this library from
 within Qt Script. These bindings were generated with the Qt Script Generator
 tool.

Package: libqtscript4-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 Gui library
 This package contains Qt Script bindings for the Qt 4 Gui library. You should
 install this package if you need to access functionality of this library from
 within Qt Script. These bindings were generated with the Qt Script Generator
 tool.

Package: libqtscript4-network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 Network library
 This package contains Qt Script bindings for the Qt 4 Network library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

Package: libqtscript4-opengl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 OpenGL library
 This package contains Qt Script bindings for the Qt 4 OpenGL library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

Package: libqtscript4-phonon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 Phonon library
 This package contains Qt Script bindings for the Qt 4 Phonon library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

Package: libqtscript4-sql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 SQL library
 This package contains Qt Script bindings for the Qt 4 SQL library. You should
 install this package if you need to access functionality of this library from
 within Qt Script. These bindings were generated with the Qt Script Generator
 tool.

Package: libqtscript4-svg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 SVG library
 This package contains Qt Script bindings for the Qt 4 SVG library. You should
 install this package if you need to access functionality of this library from
 within Qt Script. These bindings were generated with the Qt Script Generator
 tool.

Package: libqtscript4-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 XML library
 This package contains Qt Script bindings for the Qt 4 XML library. You should
 install this package if you need to access functionality of this library from
 within Qt Script. These bindings were generated with the Qt Script Generator
 tool.

Package: libqtscript4-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 WebKit library
 This package contains Qt Script bindings for the Qt 4 WebKit library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

Package: libqtscript4-xmlpatterns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 XML patterns library
 This package contains Qt Script bindings for the Qt 4 XML patterns library.
 You should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

Package: libqtscript4-uitools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: Qt Script bindings for the Qt 4 UiTools library
 This package contains Qt Script bindings for the Qt 4 UiTools library. You
 should install this package if you need to access functionality of this
 library from within Qt Script. These bindings were generated with the Qt
 Script Generator tool.

Package: qtscript-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqtscript4-qtbindings
Suggests: libqtscript4-doc
Description: tools for Qt Script developers
 This package contains Qt Script Generator and a simple helper program which
 can be used to launch scripts from command line.
 .
 Qt Script Generator is a tool that generates Qt bindings for Qt Script. With
 the generated bindings you get access to substantial portions of the Qt API
 from within Qt Script. The binary has been renamed to 'qs_generator' in this
 package.
 .
 qs_eval is a simple script interpreter / launcher that imports all the
 bindings. You can use it to run examples found in the libqtscript4-doc
 package.

Package: libqtscript4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Qt 4 Qt Script bindings API documentation and examples
 This package contains API reference of the Qt 4 Qt Script bindings and a few
 script examples. Documentation is provided in HTML format.
 .
 Qt Script is a scripting language based on the ECMAScript standard. Qt Script
 bindings allow to get access to substantial portions of the Qt API from within
 this scripting language.
