=== debian/rules ===
#!/usr/bin/make -f

# DEB_BUILD_OPTIONS noopt
CFLAGS := -g -Wall
ifeq (noopt,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
    QMAKE_TARGET := debug
else
    CFLAGS += -O2
    QMAKE_TARGET := release
endif
export CXXFLAGS := $(CFLAGS)
export QMAKE_TARGET

# DEB_BUILD_OPTIONS parallel=n support (policy 3.8.0 compliance)
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

BUILDDIR := obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
NON_BINDINGS_PACKAGES := libqtscript4-qtbindings qtscript-tools libqtscript4-doc

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- BUILDDIR=$(BUILDDIR)

override_dh_auto_install:
	install -d debian/tmp/usr/lib/qt4
	cp -a $(BUILDDIR)/plugins debian/tmp/usr/lib/qt4/
	install -D $(BUILDDIR)/generator/generator debian/tmp/usr/bin/qs_generator
	install -D $(BUILDDIR)/qtbindings/qs_eval/qs_eval debian/tmp/usr/bin/qs_eval

override_dh_auto_clean:
	dh_auto_clean -- BUILDDIR=$(BUILDDIR)
	if [ -d "$(BUILDDIR)" ]; then find $(BUILDDIR) -type d -empty -delete; fi

override_dh_makeshlibs:
	# Run with --noscripts on bindings packages
	dh_makeshlibs --noscripts $(patsubst %,-N%,$(NON_BINDINGS_PACKAGES))
	# Run normally on the rest
	dh_makeshlibs --remaining-packages

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_clean
