## qtscriptgenerator 0.2.0

=== debian/changelog ===
qtscriptgenerator (0.2.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:40:55 +0000

qtscriptgenerator (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update upstream_support_later_phonon.diff patch to support Phonon 4.6.
    Thanks to Felix Geyer. (Closes: #662771)
  * Bump debhelper compat level to 9 in order to gain build flag support.
  * Remove custom build flag management code from debian/rules.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Add multi-arch support:
    - build depend on multi-arch aware Qt 4.8.0;
    - switch libqtscript4-qtbindings to Architecture:any and mark it
      Multi-Arch:same;
    - mark all bindings package Multi-Arch: same and add to ${misc:Pre-Depends}
      to their Pre-Depends.
    - install plugins into multiarch path (/usr/lib/<arch>/qt4/).
  * Fix package descriptions. Thanks to Martin Eberhard Schauer for the patch.
    (Closes: #634171)
  * Fix FTBFS with gcc 4.7 (patch upstream_gcc4.7_fix.diff).

 -- Modestas Vainius <modax@debian.org>  Tue, 01 May 2012 19:49:21 +0300
