=== debian/control ===
Source: qtscriptgenerator
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9~), qt4-qmake (>= 4:4.8.0),
 libqt4-dev (>= 4:4.8.0), libqt4-opengl-dev (>= 4:4.8.0), libphonon-dev (>= 4:4.3.0),
 libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/qtscriptgenerator/
Vcs-Git: git://git.debian.org/users/modax/qtscriptgenerator.git
Vcs-Browser: http://git.debian.org/?p=users/modax/qtscriptgenerator.git;a=summary

Package: libqtscript4-qtbindings
Architecture: any
Multi-Arch: same
Depends: libqtscript4-core (>= ${source:Version}), libqtscript4-gui (>= ${source:Version}),
 libqtscript4-network (>= ${source:Version}), libqtscript4-opengl (>= ${source:Version}),
 libqtscript4-phonon (>= ${source:Version}), libqtscript4-sql (>= ${source:Version}),
 libqtscript4-svg (>= ${source:Version}), libqtscript4-xml (>= ${source:Version}), 
 libqtscript4-xmlpatterns (>= ${source:Version}), libqtscript4-webkit (>= ${source:Version}),
 libqtscript4-uitools (>= ${source:Version}), ${misc:Depends}
Description: QtScript bindings for Qt 4 - metapackage
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This metapackage depends on all modules of the QtScript bindings that
 are currently provided for the Qt 4 application and UI framework.

Package: libqtscript4-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QtScript bindings for the Qt 4 Core library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 Core library.

Package: libqtscript4-gui
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 Gui library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 Gui library.

Package: libqtscript4-network
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 Network library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 Network library.

Package: libqtscript4-opengl
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 OpenGL library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 OpenGL library.

Package: libqtscript4-phonon
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 Phonon library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 Phonon library.

Package: libqtscript4-sql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 SQL library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 SQL library.

Package: libqtscript4-svg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 SVG library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 SVG library.

Package: libqtscript4-xml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 XML library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 XML library.

Package: libqtscript4-webkit
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 WebKit library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 WebKit library.

Package: libqtscript4-xmlpatterns
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 XML patterns library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 XML patterns library.

Package: libqtscript4-uitools
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtscript4-core (= ${binary:Version})
Description: QtScript bindings for the Qt 4 UiTools library
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains bindings for the Qt 4 UiTools library.

Package: qtscript-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqtscript4-qtbindings
Suggests: libqtscript4-doc
Description: tools for QtScript developers
 This package contains QtScript Generator and a simple helper program which
 can be used to launch scripts from the command line.
 .
 QtScript Generator is a tool that generates Qt bindings for QtScript. With
 the generated bindings you get access to substantial portions of the Qt API
 from within QtScript. The binary has been renamed to 'qs_generator' in this
 package.
 .
 qs_eval is a simple script interpreter / launcher that imports all the
 bindings. You can use it to run examples found in the libqtscript4-doc
 package.

Package: libqtscript4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Qt 4 QtScript bindings API documentation and examples
 QtScript is a scripting language based on the ECMAScript standard, with
 bindings that give access to substantial portions of the Qt 4 API.
 .
 This package contains the API reference of the Qt Script bindings (in
 HTML format) and a few script examples.
