=== debian/rules ===
#!/usr/bin/make -f

# DEB_BUILD_OPTIONS noopt
ifeq (noopt,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    QMAKE_TARGET := debug
else
    QMAKE_TARGET := release
endif
export QMAKE_TARGET

BUILDDIR := obj-$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
NON_BINDINGS_PACKAGES := libqtscript4-qtbindings qtscript-tools libqtscript4-doc
MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- BUILDDIR=$(BUILDDIR)

override_dh_auto_install:
	install -d debian/tmp/usr/lib/$(MULTIARCH)/qt4
	cp -a $(BUILDDIR)/plugins debian/tmp/usr/lib/$(MULTIARCH)/qt4/
	install -D $(BUILDDIR)/generator/generator debian/tmp/usr/bin/qs_generator
	install -D $(BUILDDIR)/qtbindings/qs_eval/qs_eval debian/tmp/usr/bin/qs_eval

override_dh_auto_clean:
	dh_auto_clean -- BUILDDIR=$(BUILDDIR)
	if [ -d "$(BUILDDIR)" ]; then find $(BUILDDIR) -type d -empty -delete; fi

override_dh_makeshlibs:
	# Run with --noscripts on bindings packages
	dh_makeshlibs --noscripts $(patsubst %,-N%,$(NON_BINDINGS_PACKAGES))
	# Run normally on the rest
	dh_makeshlibs --remaining-packages

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_clean
